    /*
     * To change this template, choose Tools | Templates
     * and open the template in the editor.
     */
    package data;

    /**
     *
     * @author chislim
     */
    public abstract class Uzol 
    {

        public static Formular f;
        public Uzol lavy = null;
        public Uzol pravy = null;
        public Uzol otec = null;
        public int visit;
    
/*        public void setFormular(Formular _f) 
        {
            f = _f;
        }
*/
        public Uzol(Uzol o)
        {
            this.otec = o;
            this.visit = 0;

        }

        public abstract Uzol add(Uzol u);

        public abstract void vypis();
        
        public abstract void _vypis();

        public abstract void setOtec(Uzol u);

        public abstract Uzol getOtec();

        public abstract Uzol getLavySyn();

        public abstract Uzol getPravySyn();

        public abstract void setLavySyn(Uzol u);

        public abstract void setPravySyn(Uzol u);

    }

